<?php
/*
Plugin Name: In The End
Plugin URI: http://www.brettrutecky.com
Description: Automatically add content to the end of every post
Version: 1.0.2
Author: Brett Rutecky
Author URI: http://www.brettrutecky.com
License: Free Software, use it, edit it, rebrande it, change it. Its all good :)
*/






register_activation_hook(__FILE__,'intheend_install');

function intheend_install() {
                           add_option("intheend_endtext", '', '', 'yes');
                          }


if ( is_admin() ){
                 /* Call the html code */
                 add_action('admin_menu', 'intheend_admin_menu');

                 function intheend_admin_menu() {
                                                  add_menu_page('In-The-End', 'In-The-End', 'administrator','intheend', 'intheend_admin');
                                                  }
                 }

function intheend_admin() { 
                           global $wpdb;
                           $PGPath=plugins_url()."/intheend/";    
                           include('main.php');   
                          }


	
  
function IN_the_End($content){

                              if( !is_page( ) ){
                                                
                                                $msg=get_option('intheend_endtext');
                                                return $content . stripslashes($msg);
		                                           } else{
			                                                return $content;
		                                                 }
                             }

add_filter('the_content', 'IN_the_End');


?>